# Prat 3.0

## [3.9.48](https://github.com/Legacy-of-Sylvanaar/prat-3-0/tree/3.9.48) (2024-03-20)
[Full Changelog](https://github.com/Legacy-of-Sylvanaar/prat-3-0/commits/3.9.48) [Previous Releases](https://github.com/Legacy-of-Sylvanaar/prat-3-0/releases)

- Update tocs for Cataclysm classic and 10.2.6  
- Bump github action checkout to v4  
- HoverTips: Fix profession spell tooltips auto-clicking  
- HoverTips: Fix extra blank tooltip appearing sometimes  
- Update toc for 1.15.1  
- AltNames: Recognise "Alt of <name>" (#172)  
- Update toc for 10.2.5  
- [Fixes #170] Font: Apply to all 10 tabs (rather than just the first 7)  
- [Fixes #171] Fixed whisper tabs having textures when textures disabled  
- [Fixes #165] Prevent encrypted text causing StripHyperlinks to remove all text  
- Create FUNDING.yml  
- [Fixes #165] Copy chat not working due to escape codes in chat messages  
- Fix tags for classic feature requests issues on Github  
- Option to hide chat tab button textures  
- Update tocs for 10.2 and 1.15  
- Fix censored message display, again...  
- Update toc for 3.4.3  
- Prevent missing line number causing an message processing error (Greenwall)  
- Fix print  
- Attempt to fix censored message display (again)  
- Fix arguments to :AddMessage to match Blizzard ones  
    This potentially fixes the censored message issue.  
- Remove not working fix for restricted message display  
- Workaround for censored chat messages having a broken hyperlink to view them  
- Ignore pings for PopupMessage displays  
- Update toc for 10.1.7  
- [Fixes #126] Option for date in timestamps  
- Vanilla: Update toc for 14.4.4  
- Revert "CustomFilters: Support MONSTER\_EMOTE and BG\_SYSTEM\_NEUTRAL channels"  
- CustomFilters: Sort channels to search by name  
- CustomFilters: Support MONSTER\_EMOTE and BG\_SYSTEM\_NEUTRAL channels  
- [Fixes #138] Chat frames persisting after being intentionally closed  
- [Fixes #130] Option to change pet battle chat tab font size  
- Update toc for 10.1.5  
- Add icon texture to Prat-3.0\_Libraries addon  
- [Fixes #119] LinkInfoIcons: Errors when player data not available  
- Wrath: Update toc for 3.4.2  
- [Fixes #134] Support blocking outgoing chat messages with CustomFilters  
- Compress textures  
- [Fixes #74] Fix chat tabs becoming visible after changing drake appearance  
- [Fixes #136] Fade overflow button when mouse over/mouse out happens  
- [Fixes #135] Chat tabs not staying invisible when configured to do so`  
- [Fixes #127] Option to make copy chat and search box invisible when unused  
- Use new icon for Prat  
- Add option for tab alerts to last forever and custom time periods  
- Add font color options for chat tab message alerts  
- ChatTabs: Remove duplication of locale strings  
- New flash tab on message options (found in Tabs -> Highlighting/Flashing)  
- Fix typo  
- Attempt to fix #74 again  
- [Fixes #74] Chat tab not staying invisible when set to  
- EditBox: Remove note that alt needed for cursor movement as it no longer applies  
- Frames: Use 0.1 for default alpha value step  
- Clarify wording  
- Option to set chatframe mouseover alpha separately  
- [Fixes #132] Retail: Frames: Chat frame scroll bar doesn't start faded in 10.1  
- Update toc for 10.1.0  
- [Fixes #80] Lua error from swapping channels that don't exist  
- Fix messages having custom filters applied when filter shouldn't apply to type  
- [Fixes #122] Copy on timestamp doesn't always work  
- [Fixes #119] LinkInfoIcons module: Error when player GUID is invalid  
- Update toc for 10.0.7  
- Remove C\_Social API usage (no longer works and is removed in 10.1)  
- [Fixes #115] Attempt to fix Prat/WIM integration again  
- [Fixes #115] Fix Prat/WIM integration (needed function was commented out)  
- Remove setfenv usage in services/print.lua  
- [Fixes #105] Mainline: Set chat frame edit box history to save all commands  
- Actually disable patterns in LinkInfoIcons when it is disabled  
- Fix Newcomers module not working when run outside debug mode  
- Fix EventNames process all option to make it do all processing  
- Disable LinkInfoIcons module by default  
- [Fixes #112] Change to avoid nil reference error  
- [Fixes #55] Module to configure guide/newcomer icons from newcomers chat  
- Add race/class labels to messages in LinkIconsInfo module  
- Add new LinksInfoIcons module to add icons and item levels to hyperlinks  
- Trigger build  
- Add Wago build  
- Fix EditBox module not loading  
- [Fixes #97] Unexpected error with chat string "<<%2354>>" (actually this time)  
- Fix nil reference error for MatchPatterns  
- Remove setfenv usage in addon/ lua files  
- Delete testing module file added by mistake  
- [Fixes #109] Error when addons create chat messages early in client loading  
- Update tocs for 10.0.5  
- Delete unintended DevTools\_Dump  
- Revert "Fix fix for #97 (broke the pattern matching when joining/leaving channels)"  
- Update toc for Wrath 3.4.1  
- Fix fix for #97 (broke the pattern matching when joining/leaving channels)  
- Delete accidental DevTools\_Dump call  
- [Fixes #99] Font module option to change whisper tab font size  
- [Fixes #97] Unexpected error with chat string "<<%2354>>"  
- [Fixes #84] Timestamps: Duplicate timestamps for emotes on retail  
- [Fixes #95] ChannelColorMemory: Error when retrieving channel 0 color  
- Fixing Achievement locale string typos  
- [Fixes #92] FPS drops and broken selection highlighting in CopyChat  
- Fix grats message typo  
- AltNames: Fix compatibility error with Wrath for previous commit  
- [Fixes #87] Error when AltNames tooltip option is in use  
- Memory module: Fix taint by restoring layout on classic only  
- Bump toc for Prat-3.0\_Libraries  
- Update toc for 10.0.2  
